VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "COMDLG32.OCX"
Begin VB.Form fpdf2txt 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "VeryPDF"
   ClientHeight    =   2790
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   3135
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2790
   ScaleWidth      =   3135
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame frmeOptions 
      Height          =   2055
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   2895
      Begin VB.CheckBox chkDeleteBlankLines 
         Caption         =   "Delete blank lines from PDF?"
         Height          =   195
         Left            =   120
         TabIndex        =   6
         Top             =   240
         Width           =   2655
      End
      Begin VB.TextBox txtZoomNumber 
         Alignment       =   2  'Center
         BeginProperty DataFormat 
            Type            =   0
            Format          =   "0"
            HaveTrueFalseNull=   0
            FirstDayOfWeek  =   0
            FirstWeekOfYear =   0
            LCID            =   1033
            SubFormatType   =   0
         EndProperty
         Height          =   285
         Left            =   120
         TabIndex        =   5
         Text            =   "100"
         Top             =   1020
         Width           =   495
      End
      Begin VB.HScrollBar hsbZoomScroll 
         Height          =   195
         Left            =   120
         TabIndex        =   4
         Top             =   1260
         Value           =   70
         Width           =   495
      End
      Begin VB.CheckBox chkSetText 
         Caption         =   "Preserve PDF Layout in TXT?"
         Height          =   495
         Left            =   120
         TabIndex        =   3
         Top             =   480
         Value           =   1  'Checked
         Width           =   2535
      End
      Begin VB.TextBox txtPageSeparator 
         Height          =   285
         Left            =   1320
         TabIndex        =   2
         Top             =   1560
         Width           =   1455
      End
      Begin VB.Label lblZoomRatio 
         Caption         =   "- Export Zoom Ratio"
         Height          =   255
         Left            =   720
         TabIndex        =   8
         Top             =   1080
         Width           =   1455
      End
      Begin VB.Label lblPageSeparator 
         Caption         =   "Page Separator:"
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   1560
         Width           =   1215
      End
   End
   Begin MSComDlg.CommonDialog cdialog 
      Left            =   0
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton bconvert_PDF2TXT 
      Caption         =   "&Convert PDF to TXT"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   60
      Width           =   2915
   End
   Begin VB.Line Line1 
      X1              =   120
      X2              =   3000
      Y1              =   540
      Y2              =   540
   End
End
Attribute VB_Name = "fpdf2txt"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' API Declaration
Private Declare Function ShellExecute Lib "shell32.dll" Alias "ShellExecuteA" (ByVal hwnd As Long, ByVal lpOperation As String, ByVal lpFile As String, ByVal lpParameters As String, ByVal lpDirectory As String, ByVal nShowCmd As Long) As Long
' Pdf2Txt function declarations
Private Declare Function PDF2TXT Lib "pdf2txt.dll" (ByVal Source As String, ByVal Dest As String) As Long
Private Declare Function PDF2TXTEx Lib "pdf2txt.dll" (ByVal Source As String, ByVal Dest As String, ByVal firstpage As Long, ByVal lastpage As Long, ByVal ownerpassword As String, ByVal userpassword As String) As Long
Private Declare Function pdf2txtex2 Lib "pdf2txt.dll" Alias "PDF2TXTEx2" (ByVal Source As String, ByVal Dest As String, ByVal firstpage As Long, ByVal lastpage As Long, ByVal ownerpassword As String, ByVal userpassword As String, ByVal encodename As String, ByVal noPageBreaks As Long) As Long
' Pdf2Txt parameter declarations
Private Declare Function SetTXTFormat Lib "pdf2txt.dll" (ByVal Source As Long) As Long
Private Declare Function SetZoomRatio Lib "pdf2txt.dll" (ByVal Source As Long) As Long
Private Declare Sub SetGetDocumentSummary Lib "pdf2txt.dll" (ByVal Source As Boolean)
Private Declare Sub SetPageSeparator Lib "pdf2txt.dll" (ByVal Source As String)
Private Declare Sub SetDeleteBlankLine Lib "pdf2txt.dll" (ByVal Source As Boolean)
' Pdf2Txt license declaration
Private Declare Sub PDF2TXTSetLicenseCode Lib "pdf2txt.dll" (ByVal szRegCode As String)

Const SW_SHOW = 5

Private Sub bconvert_PDF2TXT_Click()
   
   Dim CFGAppCurDir As String
   Dim CFGAppCurDrive As String
   Dim TestFile As String
   Dim ConvertSettings As String
   Dim TxtFile As String
   
   'The CFGAppCurDir and CFGAppCurDrive variables store the path to
   'the config file prior to the common dialog box.
   CFGAppCurDir = ""
   CFGAppCurDir = CurDir
   CFGAppCurDrive = Mid(CFGAppCurDir, 1, 1)
        
   ' only PDF Files
   cdialog.InitDir = CurDir
   cdialog.FileName = ""
   cdialog.Filter = "PDF Files (*.PDF)|*.PDF"
   ' if ok
   cdialog.ShowOpen
   ' if file specified
   If cdialog.FileName <> "" Then
        
      'Register your PDF2TXT SDK by given License Code
      PDF2TXTSetLicenseCode "XXXXXXXXXXXXXXX"
        
      'PDF2TXT.DLL runtime settings------------------------
      SetGetDocumentSummary 0 '#1 not configurable, always set to "0"
      ConvertSettings = "docSum_0"
      
      If chkSetText.Value = 1 Then '#2
         SetTXTFormat 1
         ConvertSettings = ConvertSettings + ",setTxt_1"
      Else
         SetTXTFormat 0
         ConvertSettings = ConvertSettings + ",setTxt_0"
      End If
      
      Rv = Val(txtZoomNumber.Text) '#3
      SetZoomRatio Rv
      ConvertSettings = ConvertSettings + ",zoom_" + txtZoomNumber.Text
      
      If chkDeleteBlankLines.Value = 0 Then '#4
         SetDeleteBlankLine 0 'save the blank lines
         ConvertSettings = ConvertSettings + ",delBlank_0"
      Else
         SetDeleteBlankLine 1 'delete the blank lines
         ConvertSettings = ConvertSettings + ",delBlank_1"
      End If
      
      SetPageSeparator txtPageSeparator.Text '#5
      If txtPageSeparator.Text = "" Then
         ConvertSettings = ConvertSettings + ",noPageSeps"
      Else
         ConvertSettings = ConvertSettings + ",withPageSeps"
      End If
      '----------------------------------------------------
      
      ' convert the file
      'remove preexisting text files
      TxtFile = App.Path + "\Temp.PDF2TXT." & ConvertSettings & ".TXT"
      TestFile = Dir(TxtFile)
      If TestFile <> "" Then
         Kill (TxtFile)
      End If
      'convert the file
      PDF2TXT cdialog.FileName, TxtFile

      TestFile = Dir(TxtFile)
      If TestFile <> "" Then
         ShellExecute 0, "open", TxtFile, "", "", SW_SHOW
      Else
         MsgBox "Output file not found.", vbOKOnly, "ERROR"
      End If
   End If
    
   'The ChDrive and ChDir statements reset the config program's path back to
   'the default after common dialog box may have changed it.
   ChDrive CFGAppCurDrive
   ChDir CFGAppCurDir
   
   Exit Sub

End Sub

Private Sub hsbZoomScroll_Change()

   hsbZoomScroll.Min = 1
   hsbZoomScroll.Max = 200
   hsbZoomScroll.LargeChange = 1
   hsbZoomScroll.SmallChange = 1

   txtZoomNumber.Text = hsbZoomScroll.Value
   
   Exit Sub
      
End Sub

Private Sub txtZoomNumber_Change()
   
   'Validate that the txtZoomNumber.text for the keep_days is a numberic value
   
   Dim StringLength As Integer
   Dim MidPosition As Integer
   Dim MidCharacters As String
   
   If txtZoomNumber.Text = "" Then
      txtZoomNumber.Text = "70"
   End If
   
   'Validate that the txtZoomNumber.text for the keep_days is a numberic value
   StringLength = Len(txtZoomNumber.Text)
   MidPosition = 1
   Do Until MidPosition > StringLength
      MidCharacters = Mid(txtZoomNumber.Text, MidPosition, 1)
      If MidCharacters <> "0" And MidCharacters <> "1" And MidCharacters <> "2" And MidCharacters <> "3" And MidCharacters <> "4" And MidCharacters <> "5" And MidCharacters <> "6" And MidCharacters <> "7" And MidCharacters <> "8" And MidCharacters <> "9" Then
         MsgBox "The ''Export Zoom Ratio'' setting must be a numeric value.", vbOKOnly, "Invalid Value"
         txtZoomNumber.Text = ""
         txtZoomNumber.SetFocus
         Exit Sub
      Else
         MidPosition = MidPosition + 1
      End If
   Loop
   
   'Validate that the txtZoomNumber.text is not a numeric value greater than 200
   If Val(txtZoomNumber.Text) > 200 Then
         MsgBox "The maxiumum allowed ''Export Zoom Ratio'' is ''200''.", vbOKOnly, "Invalid Value"
         txtZoomNumber.Text = "200"
         txtZoomNumber.SetFocus
   End If
   
   'Validate that the txtZoomNumber.text is a numeric value greater than 0
   If Val(txtZoomNumber.Text) < 1 Then
         MsgBox "The minimum allowed ''Export Zoom Ratio'' is ''1''.", vbOKOnly, "Invalid Value"
         txtZoomNumber.Text = "1"
         txtZoomNumber.SetFocus
   End If
   
   hsbZoomScroll.Value = Val(txtZoomNumber.Text)
   
   Exit Sub
   
End Sub

Private Sub Form_Unload(Cancel As Integer)
         
   End
   
End Sub
