using System;
using System.Runtime.InteropServices;

namespace Extract
{
	/// <summary>
	/// Summary description for Class1.
	/// </summary>
	class Class1
	{
		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main(string[] args)
		{
      if (args.Length == 2)
      {
        string pdfFileName = args[0];
        string txtFileName = args[1];

        ExtractText(pdfFileName, txtFileName);
      }
      else
      {
        Console.WriteLine("Usage: extract pdfFileName.pdf txtFileName.txt");
      }


		}

    private static void ExtractText(string pdfFileName, string txtFileName)
    {
      string pageSeparator = "(((((((((********CREA*******))))))))))))";
      
      PDF2TXTSetLicenseCode1("XXXXXXXXXXXXXX");
      SetPageSeparator1(pageSeparator);
      Pdf2Txt1(pdfFileName, txtFileName);

    }

    
    [DllImport("pdf2txt.dll", EntryPoint="PDF2TXT",  SetLastError=true,
       CharSet=CharSet.Ansi, ExactSpelling=true,
       CallingConvention=CallingConvention.StdCall)]
    public static extern int Pdf2Txt1(string pdfFileName, string txtFileName);

    [DllImport("pdf2txt.dll", EntryPoint="PDF2TXTEx",  SetLastError=true,
       CharSet=CharSet.Ansi, ExactSpelling=true,
       CallingConvention=CallingConvention.StdCall)]
    public static extern int PDF2TXTEx(string lpPDFName, string lpTXTName, int iFirstPage, int iLastPage, string ownerPWD, string userPWD);
    
    [DllImport("pdf2txt.dll", EntryPoint="SetPageSeparator",  SetLastError=true,
       CharSet=CharSet.Ansi, ExactSpelling=true,
       CallingConvention=CallingConvention.StdCall)]
    public static extern void SetPageSeparator1(string pageSeparator);

    [DllImport("pdf2txt.dll", EntryPoint="PDF2TXTSetLicenseCode",  SetLastError=true,
       CharSet=CharSet.Ansi, ExactSpelling=true,
       CallingConvention=CallingConvention.StdCall)]
    public static extern void PDF2TXTSetLicenseCode1(string strLicenseKey);

	}
}
